2

I have ubuntu 14.04. I'm using firefox to browse the web and it worked properly but just a few days ago after I used sudo apt-get upgrade and sudo apt-get update it keeps telling me to install flashplugin. I even reinstalled my flashplugin but it still doesn't work. What should I do ?!

  • What's the output of dpkg --status flashplugin-installer and dpkg --status adobe-flashplugin? – David Foerster Sep 7 '14 at 20:03
  • It said that adobe-flashplugin isn't installed ! I tried to install it with apt-get but it said package adobe-flashplugin isn't available and it has no installation candidate. – Mona Mehdizadeh Sep 8 '14 at 6:28
5

You need to

  1. enable Canonical's partner package repository,
  2. check for new package updates (sudo apt-get update), and
  3. install adobe-flashplugin Install adobe-flashplugin.

(source)

|improve this answer|||||
4

You can get the newest version of flash player to firefox. Just do the following:

sudo add-apt-repository ppa:skunk/pepper-flash
sudo apt-get update
sudo apt-get install pepflashplugin-installer
sudo mkdir -p /opt/google/chrome/PepperFlash
sudo ln -s /usr/lib/pepflashplugin-installer/libpepflashplayer.so /opt/google/chrome/PepperFlash

and then:

sudo add-apt-repository ppa:nilarimogard/webupd8
sudo apt-get update
sudo apt-get install freshplayerplugin

This will install pepper flash (google chrome's flash player) to firefox.

|improve this answer|||||
  • Well, I used that and now it stopped asking for installing flash but instead of showing pictures and things like that it just show a blank box which says "Failed to load libpepflashplayer.so". and it still doesn't work. – Mona Mehdizadeh Sep 7 '14 at 18:32
  • I edited my answer...you need ibpepflashplayer.so (pepper flash library)... – mixerowsky Sep 7 '14 at 18:35
  • 1
    This is not the recommended way to install flash player for Firefox on Linux, because Firefox doesn't support PPAPI plug-ins (yet). – David Foerster Sep 7 '14 at 19:57
  • Worked for me! Thanks! And it is now in the official Ubuntu 14.04 repo webupd8.org/2014/01/pepper-flash-player-installer-for.html – Andrea Borga Feb 28 '15 at 8:15
0

In order to use Flash player in Firefox these are the steps.

If you want to install Flash plugin(11.2) you can run

sudo apt-get install flashplugin-installer

But, if you want to install Flash plugin (14.0 alpha) you have to add repository and run following commands:

sudo add-apt-repository ppa:nilarimogard/webupd8
sudo apt-get update
sudo apt-get install freshplayerplugin

Note: If you want to run the Flash plugin (14.0 alpha) on Firefox, you’ll have to download and install Google Chrome, else, the plugin won’t run on Firefox (Yes, in order to run it on Firefox, you have to install Chrome).

|improve this answer|||||

Not the answer you're looking for? Browse other questions tagged or ask your own question.